Const LOGLVL_DEBUG:Int		= 1
Const LOGLVL_INFO:Int		= 2
Const LOGLVL_WARNING:Int	= 4
Const LOGLVL_ERROR:Int		= 8

Type TModule
	
	Global LogLevel:Int = LOGLVL_INFO | LOGLVL_WARNING | LOGLVL_ERROR
	Global LogFunction:Int( Str:String )
	
	Function Log:Int( Str:String, Level:Int = LOGLVL_INFO )
		If( Level & LogLevel )
			If( LogFunction )
				LogFunction( Str )
			EndIf
		EndIf
	End Function
	
End Type